## ucar.netcdf
Class NumericAttrVal

    java.lang.Object
      ucar.netcdf.AttrVal
          ucar.netcdf.NumericAttrVal

All Implemented Interfaces:
  Cloneable, Serializable

final class NumericAttrVal
extends AttrVal

Constructor Summary
`(package private)` `NumericAttrVal(Number nn, Class componentType)`
`(package private)` `NumericAttrVal(Object data)`

Method Summary
`boolean` `equals(Object oo)`
`(package private) Object` `get(int index)`
`(package private) Class` `getComponentType()`
`(package private) int` `getLength()`
`(package private) Number` `getNumericValue()`
`(package private) Number` `getNumericValue(int index)`
`(package private) Object` `getValue()`
`int` `hashCode()`
`(package private) void` `toCdl(StringBuffer buf)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumericAttrVal

    NumericAttrVal(Number nn,
                   Class componentType)

### NumericAttrVal

    NumericAttrVal(Object data)

Method Detail

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object oo)

### getValue

    Object getValue()

  Specified by:
    `getValue` in class `AttrVal`

### get

    Object get(int index)

  Specified by:
    `get` in class `AttrVal`

### getNumericValue

    Number getNumericValue(int index)

  Specified by:
    `getNumericValue` in class `AttrVal`

### getNumericValue

    Number getNumericValue()

  Specified by:
    `getNumericValue` in class `AttrVal`

### getComponentType

    Class getComponentType()

  Specified by:
    `getComponentType` in class `AttrVal`

### getLength

    int getLength()

  Specified by:
    `getLength` in class `AttrVal`

### toCdl

    void toCdl(StringBuffer buf)

  Specified by:
    `toCdl` in class `AttrVal`